# Generated from fronde-0.3.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name fronde

Name: rubygem-%{gem_name}
Version: 0.3.1
Release: 1%{?dist}
Summary: An opinionated static website generator for Org
License: WTFPL
URL: https://git.umaneti.net/fronde/about/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.6
# BuildRequires: rubygem(byebug) >= 11.1
# BuildRequires: rubygem(byebug) < 12
# BuildRequires: rubygem(org-ruby) >= 0.9
# BuildRequires: rubygem(org-ruby) < 1
# BuildRequires: rubygem(pry) >= 0.13
# BuildRequires: rubygem(pry) < 1
# BuildRequires: rubygem(pry-doc) >= 1.1
# BuildRequires: rubygem(pry-doc) < 2
# BuildRequires: rubygem(rspec) >= 3.9
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rubocop) >= 0.93
# BuildRequires: rubygem(rubocop) < 1
# BuildRequires: rubygem(rubocop-performance) >= 1.8
# BuildRequires: rubygem(rubocop-performance) < 2
# BuildRequires: rubygem(rubocop-rspec) >= 1.43
# BuildRequires: rubygem(rubocop-rspec) < 2
# BuildRequires: rubygem(simplecov) >= 0.19
# BuildRequires: rubygem(simplecov) < 1
# BuildRequires: rubygem(yard) >= 0.9
# BuildRequires: rubygem(yard) < 1
BuildArch: noarch

%description
Fronde helps you to convert Org mode files into websites, giving you
full control over the publication process.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/fronde
%license %{gem_instdir}/LICENSE
%{gem_instdir}/bin
%{gem_libdir}
%{gem_instdir}/locales
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Mon Aug 23 2021 mockbuilder - 0.3.1-1
- Initial package
